--- old/usr/src/cmd/sgs/Makefile.com	2016-11-21 14:20:06.095590777 +0000
+++ new/usr/src/cmd/sgs/Makefile.com	2016-11-21 14:20:06.105103316 +0000
@@ -84,6 +84,12 @@
 SGSRPATH =	/usr/lib
 SGSRPATH64 =	$(SGSRPATH)/$(MACH64)
 
+# Mimic the structure of an installed system.
+
+SGSLIBDIR =	$(SGSPROTO)/lib
+SGSPREFIX =	$(SGSPROTO)/usr
+SGSBINDIR =	$(SGSPREFIX)/bin
+
 #
 # Macros to be used to include link against libconv and include vernote.o
 #
@@ -121,12 +127,13 @@
 # Native targets should use the minimum of ld(1) flags to allow building on
 # previous releases.  We use mapfiles to scope, but don't bother versioning.
 
-native :=	DYNFLAGS = -R$(SGSPROTO) -L$(SGSPROTO) $(ZNOVERSION) $(HSONAME)
+native :=	DYNFLAGS = -R$(SGSLIBDIR) -L$(SGSLIBDIR) $(ZNOVERSION) \
+			$(HSONAME)
 
 # Comment out the following two lines to have the sgs built from the system
 # link-editor, rather than the local proto link-editor.
-CC_USE_PROTO =	-Yl,$(SGSPROTO)
-LD_USE_PROTO =	$(SGSPROTO)/
+CC_USE_PROTO =	-Yl,$(SGSBINDIR)
+LD_USE_PROTO =	$(SGSBINDIR)/
 
 #
 # lint-related stuff
